Skip to main content
GET
/
api
/
file_upload_status
Get File Upload Status
curl --request GET \
  --url https://app.maadify.com/api/file_upload_status \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.maadify.com/api/file_upload_status"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.maadify.com/api/file_upload_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "file_name": "<string>",
      "file_type": "<string>",
      "file_path": "<string>",
      "original_file_name": "<string>",
      "results": {},
      "status": "<string>"
    }
  ],
  "error_type": "<string>",
  "error_message": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

file_upload_id
required

File upload ID(s) to query

Response

File upload status retrieved successfully

success
boolean
required

Whether the request was successful

data
FileUploadStatusResponse · object[] | null

Response data on success

error_type
string | null

Type of error if failed

error_message
string | null

Error message if failed